Subject: Re: bug#51762: 13.0.14; environment formating

From: Arash Esbati <[email-masked]>
Date: Fri, 19 Nov 2021 20:05:26 +0100

Hi Keita,

Ikumi Keita <[email-masked]> writes:

> I agree it looks odd, but it seems an intended behavior. In
> `LaTeX-fill-region-as-paragraph', we have:
> ----------------------------------------------------------------------
>                   ;; Code comments and lines ending with `\par' are
>                   ;; included in filling.  Lines ending with `\\' are
>                   ;; skipped.
>                   (if (or has-code-comment
>                           (match-beginning 1))
>                       (LaTeX-fill-region-as-para-do from (point) justify-flag)
>                     (LaTeX-fill-region-as-para-do
>                      from (line-beginning-position 0) justify-flag)
>                     ;; At least indent the line ending with `\\'.
>                     (indent-according-to-mode)))
> ----------------------------------------------------------------------
> According to the comment, lines ending with `\\' are excluded from
> filling on purpose, though I'm not sure why. Perhaps for the cases
> inside environments like tabular, array, align etc.?

Ah, I see.  Sorry for missing that.  While we're at it, should we also
cater for \newline and \linebreak?  Currently, they handled as normal
macro.  It should be easy to add them to the regexp.

WDYT?

Best, Arash